MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::FileRender Class Reference
Inheritance diagram for sc::FileRender:

List of all members.

## Public Member Functions

| FileRender (const char *filename)
| FileRender (std::ostream &o=ExEnv::out0())
| FileRender (const Ref< KeyVal > &)
void | clear ()
virtual void | set_filename (const char *name)
virtual void | set_basename (const char *name)
virtual const char * | file_extension ()

## Protected Member Functions

char * | get_filename (const char *objectname)
void | open_sbuf (const char *objectname)
void | close_sbuf ()

## Protected Attributes

char * | filename_
char * | basename_
std::streambuf * | sbuf_
int | delete_sbuf_
int | depth_

The documentation for this class was generated from the following file:

- render.h